curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/webhook/retry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"channel": "WHBM",
"tenant": "5ef879t578f89",
"event": "ORDER_CREATED",
"payload": "{\n \"orderId\":\"4fr4g45frew-24f54vre-3fre\"\n }",
"eventRequestId": "5ef879t5-78f89",
"orderNumber": "oms_234322",
"apiVersion": "1.0.0"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/webhook/retry"
payload = {
"channel": "WHBM",
"tenant": "5ef879t578f89",
"event": "ORDER_CREATED",
"payload": "{
\"orderId\":\"4fr4g45frew-24f54vre-3fre\"
}",
"eventRequestId": "5ef879t5-78f89",
"orderNumber": "oms_234322",
"apiVersion": "1.0.0"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
channel: 'WHBM',
tenant: '5ef879t578f89',
event: 'ORDER_CREATED',
payload: '{\n "orderId":"4fr4g45frew-24f54vre-3fre"\n }',
eventRequestId: '5ef879t5-78f89',
orderNumber: 'oms_234322',
apiVersion: '1.0.0'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/webhook/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"{\n\n \"statusCodeValue\": 200,\n \"statusCode\": \"OK\"\n }"
]{
"message": "Bad Request"
}{
"message": "Internal Server Error"
}Retry webhook
This endpoint lets you manually re-trigger a webhook event.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
channel
"WHBM"
tenantId
"5ef879t578f89"
name of the event that needs to be triggered
"ORDER_CREATED"
"{\n \"orderId\":\"4fr4g45frew-24f54vre-3fre\"\n }"
unique identifier of the request
"5ef879t5-78f89"
Order number
"oms_234322"
api version
"1.0.0"
Response
OK
Was this page helpful?
